japa.parser.ast.expr

## Class Expression

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression

Direct Known Subclasses:
  AnnotationExpr, ArrayAccessExpr, ArrayCreationExpr, ArrayInitializerExpr, AssignExpr, BinaryExpr, CastExpr, ClassExpr, ConditionalExpr, EnclosedExpr, FieldAccessExpr, InstanceOfExpr, LiteralExpr, MethodCallExpr, NameExpr, ObjectCreationExpr, SuperExpr, ThisExpr, UnaryExpr, VariableDeclarationExpr

    public abstract class Expression
    extends Node

### Constructor Summary

Constructors
Constructor and Description
`Expression()`
`Expression(int beginLine, int beginColumn, int endLine, int endColumn)`

### Method Summary

### Methods inherited from class japa.parser.ast.Node

`accept, accept, equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Expression

    public Expression()

#### Expression

    public Expression(int beginLine,
              int beginColumn,
              int endLine,
              int endColumn)